man(8)

NAME
influx - InfluxDB Shell

SYNOPSIS
influx [options]

DESCRIPTION
influx is an interactive shell to InfluxDB.

OPTIONS
-version Display the version and exit.

-host <host name>
    Host to connect to.

-port <port>
    Port to connect to.

-database <database name>
    Database to connect to the server.

-password <password>
    Password to connect to the server. Leaving blank will prompt for password.

-username <username>
    Username to connect to the server.

-dump
    Dump the contents of the given database to stdout.

-execute <command>
    Execute command and quit.

-format <json|csv|column>
    Format specifies the format of the server responses: json, csv, or column.

-pretty
    Turns on pretty print for the json format.

SEE ALSO
influxd(1)

AUTHOR
Alexandre Viau (alexandre@alexandreviau.net)